<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{3AF4C628-0B47-412C-950A-DBC0161F2A7F}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>RCUHost</RootNamespace>
    <AssemblyName>RCUHost</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>TRACE;DEBUG;SIMON</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE;SIMON</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="CacheManager.Core, Version=0.7.4.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\CacheManager.Core.0.7.4\lib\net40\CacheManager.Core.dll</HintPath>
    </Reference>
    <Reference Include="CSRedisCore">
      <HintPath>..\lib\Redis\CSRedisCore.dll</HintPath>
    </Reference>
    <Reference Include="FluentScheduler">
      <HintPath>..\lib\taskschedule\FluentScheduler.dll</HintPath>
    </Reference>
    <Reference Include="log4net">
      <HintPath>..\lib\log4net\log4net.dll</HintPath>
    </Reference>
    <Reference Include="M2Mqtt.Net">
      <HintPath>..\lib\M2Mqtt.Net\M2Mqtt.Net.dll</HintPath>
    </Reference>
    <Reference Include="Memcached.ClientLibrary">
      <HintPath>..\lib\Memcached\Memcached.ClientLibrary.dll</HintPath>
    </Reference>
    <Reference Include="Microsoft.IO.RecyclableMemoryStream">
      <HintPath>..\lib\ReclyMemory\Microsoft.IO.RecyclableMemoryStream.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=6.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="NHibernate">
      <HintPath>..\lib\NHibernate\NHibernate.dll</HintPath>
    </Reference>
    <Reference Include="RestSharp, Version=105.2.3.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\RestSharp\RestSharp.dll</HintPath>
    </Reference>
    <Reference Include="Spring.Core, Version=1.3.1.40711, Culture=neutral, PublicKeyToken=65e474d141e25e07, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Spring.NET\Spring.Core.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.ServiceModel" />
    <Reference Include="System.ValueTuple">
      <HintPath>..\lib\Redis\System.ValueTuple.dll</HintPath>
    </Reference>
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="IAskRoomStatusChangedReceiver.cs" />
    <Compile Include="Implement\AskRoomStatusChangedReceiver.cs" />
    <Compile Include="Implement\TouChuang.cs" />
    <Compile Include="Implement\New_RoomStatusReceiver.cs" />
    <Compile Include="NewUDP\UdpEndpoint.cs" />
    <Compile Include="RCUHostCommon\tools.cs" />
    <Compile Include="IAuthorizationReceiver.cs" />
    <Compile Include="IConnectingRoomReceiver.cs" />
    <Compile Include="ICurtainControlReceiver.cs" />
    <Compile Include="IHeartReceiver.cs" />
    <Compile Include="Implement\AbnormalAlarmHandler.cs" />
    <Compile Include="Implement\AuthorizationReceiver.cs" />
    <Compile Include="Implement\CarbonVIP.cs" />
    <Compile Include="Implement\ConnectingRoomReceiver.cs" />
    <Compile Include="Implement\CurtainControlReceiver.cs" />
    <Compile Include="Implement\GenericReceiverBase.cs" />
    <Compile Include="IAirConditionStatusReceiver.cs" />
    <Compile Include="IDeviceControlReceiver.cs" />
    <Compile Include="IEnergySavingModeReceiver.cs" />
    <Compile Include="IHostServer.cs" />
    <Compile Include="Implement\AirConditionStatusReceiver.cs" />
    <Compile Include="Implement\DeviceControlReceiver.cs" />
    <Compile Include="Implement\EnergySavingModeReceiver.cs" />
    <Compile Include="Implement\HeartReceiver.cs" />
    <Compile Include="Implement\HostSearchReceiver.cs" />
    <Compile Include="Implement\HostServer.cs" />
    <Compile Include="IHostSearchReceiver.cs" />
    <Compile Include="Implement\MusicControlReceiver.cs" />
    <Compile Include="Implement\NetworkSettingReceiver.cs" />
    <Compile Include="Implement\PowerSupplyControlReceiver.cs" />
    <Compile Include="Implement\RoomCardReceiver.cs" />
    <Compile Include="Implement\RoomStatusChangedReceiver.cs" />
    <Compile Include="Implement\RoomStatusReceiver.cs" />
    <Compile Include="Implement\ServiceReceiver.cs" />
    <Compile Include="Implement\SyncTimeReceiver.cs" />
    <Compile Include="Implement\TFTPReceiver.cs" />
    <Compile Include="Implement\TVControlReceiver.cs" />
    <Compile Include="Implement\UpdateConfigReceiver.cs" />
    <Compile Include="Implement\UpgradeProgressBar.cs" />
    <Compile Include="Implement\UploadCurrentVersionReceiver.cs" />
    <Compile Include="Implement\UpdateRCUFileReceiver.cs" />
    <Compile Include="Implement\UnlockControlReceiver.cs" />
    <Compile Include="Implement\DeviceSecretReceiver.cs" />
    <Compile Include="Implement\HostSecretReceiver.cs" />
    <Compile Include="Implement\UpdateHostFTPReceiver.cs" />
    <Compile Include="Implement\WordsReportReceiver.cs" />
    <Compile Include="Implement\HostRegisterReceiver.cs" />
    <Compile Include="Implement\HostRegisterSetReceiver.cs" />
    <Compile Include="Implement\ExplainDomainIPReceiver.cs" />
    <Compile Include="Implement\UpdateHostCompletedReceiver.cs" />
    <Compile Include="Implement\RCULogReceiver.cs" />
    <Compile Include="Implement\HotelTimeReceiver.cs" />
    <Compile Include="Implement\TFTPSettingReceiver.cs" />
    <Compile Include="IMusicControlReceiver.cs" />
    <Compile Include="INetworkSettingReceiver.cs" />
    <Compile Include="IPowerSupplyControlReceiver.cs" />
    <Compile Include="IReceiver.cs" />
    <Compile Include="IRoomStatusReceiver.cs" />
    <Compile Include="IRoomStatusChangedReceiver.cs" />
    <Compile Include="IServiceReceiver.cs" />
    <Compile Include="ISyncTimeReceiver.cs" />
    <Compile Include="ITVControlReceiver.cs" />
    <Compile Include="IT_FTPReceiver.cs" />
    <Compile Include="IUpdateConfigReceiver.cs" />
    <Compile Include="IUpdateHostReceiver.cs" />
    <Compile Include="IUpgradeProgressBar.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Protocols\AirConditionSettingPacket.cs" />
    <Compile Include="Protocols\AirConditionStatusPacket.cs" />
    <Compile Include="Protocols\AlarmPacket.cs" />
    <Compile Include="Protocols\CommandData.cs" />
    <Compile Include="Protocols\CommandType.cs" />
    <Compile Include="Protocols\DeviceHeader.cs" />
    <Compile Include="Protocols\DeviceStatus.cs" />
    <Compile Include="Protocols\EnergySavingModePacket.cs" />
    <Compile Include="Protocols\GroupAddress.cs" />
    <Compile Include="Protocols\InsertCardPacket.cs" />
    <Compile Include="Protocols\LightStatusPacket.cs" />
    <Compile Include="Protocols\HostNumber.cs" />
    <Compile Include="Protocols\PowerSupplyPacketReply.cs" />
    <Compile Include="Protocols\RoomStatusChangedPacket.cs" />
    <Compile Include="Protocols\SearchHostPacket.cs" />
    <Compile Include="Protocols\SearchHostPacketReply.cs" />
    <Compile Include="Protocols\SyncTimePacket.cs" />
    <Compile Include="Protocols\SystemHeader.cs" />
    <Compile Include="Protocols\UpdateConfigPacketReply.cs" />
    <Compile Include="Protocols\UpdateHostPacketProgress.cs" />
    <Compile Include="Protocols\UpdateHostPacketReply.cs" />
    <Compile Include="Implement\UpdateHostReceiver.cs" />
    <Compile Include="Protocols\UploadCurrentVersionPacketReply.cs" />
    <Compile Include="Implement\ReceiverContext.cs" />
    <Compile Include="Protocols\HeartPacket.cs" />
    <Compile Include="IUpdateRCUFileReceiver.cs" />
    <Compile Include="Protocols\AuthorizationReply.cs" />
    <Compile Include="Protocols\SearchHostPacketReplyV2.cs" />
    <Compile Include="Service References\ServiceReference1\Reference.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Reference.svcmap</DependentUpon>
    </Compile>
    <Compile Include="IUnlockControlReceiver.cs" />
    <Compile Include="TimingHelper\Common.cs" />
    <Compile Include="TimingHelper\HostTimingControlHelper.cs" />
    <Compile Include="IDeviceSecretReceiver.cs" />
    <Compile Include="IHostSecretReceiver.cs" />
    <Compile Include="IUpdateHostFTPReceiver.cs" />
    <Compile Include="IHostRegisterReceiver.cs" />
    <Compile Include="IHostRegisterSetReceiver.cs" />
    <Compile Include="IUpdateHostCReceiver.cs" />
    <Compile Include="IExplainDomainIPReceiver.cs" />
    <Compile Include="IRCULogReceiver.cs" />
    <Compile Include="IHotelTimeReceiver.cs" />
    <Compile Include="IT_FTPSettingReceiver.cs" />
    <Compile Include="IHostTouChuan.cs" />
    <Compile Include="New_IRoomStatusReceiver.cs" />
  </ItemGroup>
  <ItemGroup>
    <WCFMetadata Include="Service References\" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\CommonEntity\CommonEntity.csproj">
      <Project>{1D7073B2-4CC3-49F5-9F37-50A21D74A39D}</Project>
      <Name>CommonEntity</Name>
    </ProjectReference>
    <ProjectReference Include="..\Common\Common.csproj">
      <Project>{B3F29715-E925-4E56-9248-580F06C3BC11}</Project>
      <Name>Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\Dao\Dao.csproj">
      <Project>{DC017E1A-8853-4267-932E-30CB3BCF8CF5}</Project>
      <Name>Dao</Name>
    </ProjectReference>
    <ProjectReference Include="..\Domain\Domain.csproj">
      <Project>{A42D287A-8EF4-48F6-B14C-7F9CA834F786}</Project>
      <Name>Domain</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Config\Receiver.xml">
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config">
      <SubType>Designer</SubType>
    </None>
    <None Include="Service References\ServiceReference1\RCUHost.ServiceReference1.ResponseBySyncRoomInfo.datasource">
      <DependentUpon>Reference.svcmap</DependentUpon>
    </None>
    <None Include="Service References\ServiceReference1\ThirdpartyService.wsdl" />
    <None Include="Service References\ServiceReference1\ThirdpartyService.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="Service References\ServiceReference1\ThirdpartyService1.xsd">
      <SubType>Designer</SubType>
    </None>
    <None Include="Service References\ServiceReference1\ThirdpartyService2.xsd">
      <SubType>Designer</SubType>
    </None>
  </ItemGroup>
  <ItemGroup>
    <WCFMetadataStorage Include="Service References\ServiceReference1\" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Service References\ServiceReference1\ThirdpartyService.disco" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Service References\ServiceReference1\configuration91.svcinfo" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Service References\ServiceReference1\configuration.svcinfo" />
  </ItemGroup>
  <ItemGroup>
    <None Include="Service References\ServiceReference1\Reference.svcmap">
      <Generator>WCF Proxy Generator</Generator>
      <LastGenOutput>Reference.cs</LastGenOutput>
    </None>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>